﻿using System;

namespace HeuristicLab.Clients.Hive.Slave {
  /// <summary>
  /// Dummy implementation for a logger until a better solution is found;
  /// to be removed in the future
  /// TODO: send messages to gui
  /// </summary>
  public static class Logger {
    private static object locker = new object();

    public static void Debug(object message) {
      lock (locker) {
        Console.WriteLine(message.ToString());
      }
    }

    public static void Info(object message) {
      lock (locker) {
        Console.WriteLine(message.ToString());
      }
    }

    public static void Warn(object message) {
      lock (locker) {
        Console.WriteLine(message.ToString());
      }
    }

    public static void Error(object message) {
      lock (locker) {
        Console.WriteLine(message.ToString());
      }
    }

    public static void Error(object message, Exception e) {
      lock (locker) {
        Console.WriteLine(message.ToString() + " \n Exception is :" + e.ToString());
      }
    }
  }
}
